[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: pygame


Vincent Cheng <vincentc1208@gmail.com> writes:
> All right, repacked and re-uploaded to mentors.d.n:
> $ dget -x http://mentors.debian.net/debian/pool/main/p/pygame/pygame_1.9.1release+dfsg-2.dsc

I am not an expert on python packages, but it looks okay to me with one
exception: debian/rules hardcodes python versions (2.6 and 2.7).  This
should ideally not be done and I can see two ways to avoid this: either
create the symlink before running setup.py so that it will be installed
the normal way (remember to remove it later), or use shell globbing to
match $(CURDIR)/debian/python-pygame/usr/lib/python* instead of giving
explicit versions.

If you list lib/freesansbold.ttf in d/copyright, please mention that it
was removed from the upstream tarball (and why).


Reply to: